Loading...
Searching...
No Matches
mdds::mtv::clone_block< BlockT, std::enable_if_t< std::is_copy_constructible< BlockT >::value > > Struct Template Reference

`#include <types.hpp>`

## Public Types

using | store_type = typename BlockT::store_type

## Public Member Functions

BlockT * | operator() (const BlockT &src) const

## Detailed Description

template<typename BlockT>
struct mdds::mtv::clone_block< BlockT, std::enable_if_t< std::is_copy_constructible< BlockT >::value > >

Specialization for copyable element block type.

Parameters

  <BlockT> | Element block type which must be copyable.